Name:          evolution-couchdb
Version:       0.5.0
Release:       2%{?dist}
Summary:       An evolution backend to CouchDBs for PIM information

Group:         System Environment/Libraries
License:       GPLv3+
URL:           http://www.gnome.org/
Source0:       ftp://ftp.gnome.org/pub/gnome/sources/%{name}/0.5/%{name}-%{version}.tar.bz2
Patch0:        ecd.patch

BuildRequires: couchdb-glib-devel
BuildRequires: dbus-glib-devel
BuildRequires: gnome-keyring-devel
BuildRequires: evolution-devel
BuildRequires: evolution-data-server-devel
BuildRequires: gettext
BuildRequires: intltool

%description
CouchDB-GLib is a GLib-based API to access CouchDB servers
(http://couchdb.apache.org), a replication/synchronization 
schema-free database of JSON documents, used in online services 
like Midgard.

This is a plugin to evolution to allow access to PIM information
stored in a CouchDB.

%prep
%setup -q
%patch0 -p1 -b .ecd

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

#Convert NEWS file to utf8
for file in NEWS; do
    iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
    touch -r $file $file.new && \
    mv $file.new $file
done

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING NEWS
%{_libdir}/evolution-data-server-1.2/extensions/libebookbackendcouchdb.so
%{_libdir}/evolution/2.92/plugins/liborg-gnome-evolution-couchdb.so
%{_libdir}/evolution/2.92/plugins/org-gnome-evolution-couchdb.eplug

%changelog
* Sat Oct 16 2010 Peter Robinson <pbrobinson@gmail.com> 0.5.0-2
- Bump build

* Fri Sep 17 2010 Peter Robinson <pbrobinson@gmail.com> 0.5.0-1
- Update to 0.5.0 upstream release
- Add patch thanks to Milan Crha to compile against latest evo

* Tue Jul 20 2010 Peter Robinson <pbrobinson@gmail.com> 0.4.93-1
- Update to 0.4.93 upstream release

* Fri Jun 18 2010 Peter Robinson <pbrobinson@gmail.com> 0.4.92-1
- Update to 0.4.92 upstream release

* Sat May 29 2010 Peter Robinson <pbrobinson@gmail.com> 0.4.91-2
- drop no longer needed patch

* Sat May 29 2010 Peter Robinson <pbrobinson@gmail.com> 0.4.91-1
- Update to 0.4.91 upstream release

* Wed May 26 2010 Peter Robinson <pbrobinson@gmail.com> 0.4.90-2
- Add patch for compiling with evolution 2.3x

* Sat May  8 2010 Peter Robinson <pbrobinson@gmail.com> 0.4.90-1
- Update to 0.4.90 upstream release

* Thu Mar 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.4.3-1
- Update to 0.4.3 upstream release

* Wed Mar  3 2010 Peter Robinson <pbrobinson@gmail.com> 0.4.2-1
- Update to 0.4.2 upstream release

* Wed Dec  2 2009 Peter Robinson <pbrobinson@gmail.com> 0.3.4-1
- Update to 0.3.4 upstream release

* Thu Nov 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.3.3-1
- Update to 0.3.3 upstream release

* Wed Oct 21 2009 Peter Robinson <pbrobinson@gmail.com> 0.3.2-2
- Updates from review request

* Tue Oct 13 2009 Peter Robinson <pbrobinson@gmail.com> 0.3.2-1
- Update to 0.3.2 upstream release

* Wed Oct  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.3.1-1
- Update to 0.3.1 upstream release

* Mon Oct  5 2009 Peter Robinson <pbrobinson@gmail.com> 0.3.0-1
- Initial packaging
